/* To learn more about this file see: https://angular.io/config/tsconfig. */
{
    "extends": "./tsconfig.json",
    "compilerOptions": {
        "outDir": "./out-tsc/app",
        "types": [],
        "paths": {
            "@appmodule": ["./src/app/app.module.ts"],
            "@services/*": ["./src/app/shared/services/*"],
            "@shared/*": ["./src/app/shared/*"],
            "@components/*": ["./src/app/shared/components/*"],
            "@envs/*": ["./src/environments/*"],
            "@env": ["./src/environments/environment.ts"],
            "@functions/*": ["./src/app/shared/functions/*"],
            "@guards/*": ["./src/app/shared/guards/*"],
            "@models/*": ["./src/app/shared/models/*"],
            "@enums/*": ["./src/app/shared/enums/*"]
        }
    },
    "files": ["src/main.ts", "src/polyfills.ts"],
    "include": ["src/**/*.d.ts"]
}
